<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>TP4 - Cryptohraphie: Sources/defines.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TP4 - Cryptohraphie
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_937900b87e0c7a5fa01190c395fb83f7.html">Sources</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">defines.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>File containing defines for the project.  
<a href="#details">More...</a></p>

<p><a href="defines_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:a5eb09e4eaa947a25cccf52c5d9f76d36"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="defines_8h.html#a5eb09e4eaa947a25cccf52c5d9f76d36">maxCharString</a>&#160;&#160;&#160;1024</td></tr>
<tr class="separator:a5eb09e4eaa947a25cccf52c5d9f76d36"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74e455f09b0af2f9497d95124b56a7b5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="defines_8h.html#a74e455f09b0af2f9497d95124b56a7b5">maxCharPath</a>&#160;&#160;&#160;<a class="el" href="defines_8h.html#a5eb09e4eaa947a25cccf52c5d9f76d36">maxCharString</a></td></tr>
<tr class="separator:a74e455f09b0af2f9497d95124b56a7b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65e9886d74aaee76545e83dd09011727"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="defines_8h.html#a65e9886d74aaee76545e83dd09011727">false</a>&#160;&#160;&#160;0</td></tr>
<tr class="memdesc:a65e9886d74aaee76545e83dd09011727"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>false</code> value definition  <a href="#a65e9886d74aaee76545e83dd09011727">More...</a><br /></td></tr>
<tr class="separator:a65e9886d74aaee76545e83dd09011727"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a28f29e41827594c2ac48273da16da3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="defines_8h.html#a3a28f29e41827594c2ac48273da16da3">enabled</a>&#160;&#160;&#160;true</td></tr>
<tr class="memdesc:a3a28f29e41827594c2ac48273da16da3"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>enabled</code> value definition  <a href="#a3a28f29e41827594c2ac48273da16da3">More...</a><br /></td></tr>
<tr class="separator:a3a28f29e41827594c2ac48273da16da3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6816685642d977df9e198871eeee5f33"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="defines_8h.html#a6816685642d977df9e198871eeee5f33">disabled</a>&#160;&#160;&#160;<a class="el" href="defines_8h.html#a65e9886d74aaee76545e83dd09011727">false</a></td></tr>
<tr class="memdesc:a6816685642d977df9e198871eeee5f33"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>disabled</code> value definition  <a href="#a6816685642d977df9e198871eeee5f33">More...</a><br /></td></tr>
<tr class="separator:a6816685642d977df9e198871eeee5f33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a322565ccf348d13e4d3de13af771e5fc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="defines_8h.html#a322565ccf348d13e4d3de13af771e5fc">debug</a>&#160;&#160;&#160;true</td></tr>
<tr class="memdesc:a322565ccf348d13e4d3de13af771e5fc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enabling debug mode in the project This macro can be used to enable <code>printf</code> in order to debug the project.  <a href="#a322565ccf348d13e4d3de13af771e5fc">More...</a><br /></td></tr>
<tr class="separator:a322565ccf348d13e4d3de13af771e5fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>File containing defines for the project. </p>
<dl class="section author"><dt>Author</dt><dd>Gabin Blot </dd></dl>
<dl class="section date"><dt>Date</dt><dd>11 Dec 2019</dd></dl>
<p>This header file contains defines for the project </p>
</div><h2 class="groupheader">Macro Definition Documentation</h2>
<a id="a322565ccf348d13e4d3de13af771e5fc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a322565ccf348d13e4d3de13af771e5fc">&#9670;&nbsp;</a></span>debug</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define debug&#160;&#160;&#160;true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Enabling debug mode in the project This macro can be used to enable <code>printf</code> in order to debug the project. </p>

</div>
</div>
<a id="a6816685642d977df9e198871eeee5f33"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6816685642d977df9e198871eeee5f33">&#9670;&nbsp;</a></span>disabled</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define disabled&#160;&#160;&#160;<a class="el" href="defines_8h.html#a65e9886d74aaee76545e83dd09011727">false</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p><code>disabled</code> value definition </p>

</div>
</div>
<a id="a3a28f29e41827594c2ac48273da16da3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a28f29e41827594c2ac48273da16da3">&#9670;&nbsp;</a></span>enabled</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define enabled&#160;&#160;&#160;true</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><code>enabled</code> value definition </p>

</div>
</div>
<a id="a65e9886d74aaee76545e83dd09011727"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a65e9886d74aaee76545e83dd09011727">&#9670;&nbsp;</a></span>false</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define false&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><code>false</code> value definition </p>

</div>
</div>
<a id="a74e455f09b0af2f9497d95124b56a7b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74e455f09b0af2f9497d95124b56a7b5">&#9670;&nbsp;</a></span>maxCharPath</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define maxCharPath&#160;&#160;&#160;<a class="el" href="defines_8h.html#a5eb09e4eaa947a25cccf52c5d9f76d36">maxCharString</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a5eb09e4eaa947a25cccf52c5d9f76d36"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5eb09e4eaa947a25cccf52c5d9f76d36">&#9670;&nbsp;</a></span>maxCharString</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define maxCharString&#160;&#160;&#160;1024</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
